$AdfDhtmlSelectOneChoicePeer$$.$_SUB_ID_MAP$ = {dropdown:"drop"};
$AdfDhtmlSelectOneChoicePeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlSelectOneChoicePeer$$$$$GetSubIdDomElement$$($subElementId$$46$$) {
  var $component$$1848$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$46$$, $AdfDhtmlSelectOneChoicePeer$$.$_SUB_ID_MAP$, $component$$1848$$, this, $AdfDhtmlSelectOneChoicePeer$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneChoicePeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlSelectOneChoicePeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlSelectOneChoicePeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlSelectOneChoicePeer$$$$$GetBestMatchSubId$$($domElement$$595$$) {
  var $subId$$55$$ = $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$595$$, this, $AdfDhtmlSelectOneChoicePeer$$.$_SUB_ID_MAP$, $AdfDhtmlSelectOneChoicePeer$$);
  $subId$$55$$ || ($subId$$55$$ = $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$595$$, this, $AdfDhtmlSelectOneChoicePeer$$.$_SUB_ID_MAP$));
  if(!$subId$$55$$ && ("OPTION" == $domElement$$595$$.tagName || "LI" == $domElement$$595$$.tagName)) {
    var $domNode$$103_optionsList$$ = this.$getDomNode$(), $i$$634_value$$202$$, $adfvcount$$ = 0;
    this.$_isCompact$(this.$getComponent$()) ? ($domNode$$103_optionsList$$ = $domNode$$103_optionsList$$.getElementsByTagName("LI"), -1 != $domNode$$103_optionsList$$[0].id.indexOf("sp") && $adfvcount$$++, $i$$634_value$$202$$ = $domNode$$103_optionsList$$[$adfvcount$$].getAttribute("_adfiv")) : ($domNode$$103_optionsList$$ = $domNode$$103_optionsList$$.getElementsByTagName("OPTION"), $i$$634_value$$202$$ = $domNode$$103_optionsList$$[0].getAttribute("value"));
    "" == $i$$634_value$$202$$ && $adfvcount$$++;
    for($i$$634_value$$202$$ = 0;$i$$634_value$$202$$ < $domNode$$103_optionsList$$.length;$i$$634_value$$202$$++) {
      if(!(-1 != $domNode$$103_optionsList$$[$i$$634_value$$202$$].id.indexOf("sp") || "" == $domNode$$103_optionsList$$[$i$$634_value$$202$$].getAttribute("_adfiv") || "" == $domNode$$103_optionsList$$[$i$$634_value$$202$$].getAttribute("value")) && $domNode$$103_optionsList$$[$i$$634_value$$202$$] == $domElement$$595$$) {
        $subId$$55$$ = "item[" + ($i$$634_value$$202$$ - $adfvcount$$) + "]";
        break
      }
    }
  }
  return $subId$$55$$
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneChoicePeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlSelectOneChoicePeer$$.prototype.$GetBestMatchSubId$});
